सामग्री पर जाएँ

Fabric 1.0 Fast

इंटीग्रेट करें

मॉडल id veed/fabric-1.0/fast
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/veed/fabric-1.0/fast?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "resolution": "720p"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $2.00 2,000 API क्रेडिट · ≈ ₽215.16 चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
VEED लिपसिंक और अवतार लिपसिंकतेज़720p तक #lipsync#avatar

ऑडियो फ़ाइल से संचालित स्थिर छवि को बोलते हुए वीडियो में एनिमेट करता है, 480p या 720p पर, तेज़ वैरिएंट

VEED · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या
•आवश्यक audio_url
फ़ाइल ड्रॉप करें, या
resolution •आवश्यक

रिज़ॉल्यूशन सेटिंग।

POST /run/veed/fabric-1.0/fast?wait=20 कोटेशन → $2.00
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/veed/fabric-1.0/fast?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "resolution": "720p"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Fabric 1.0 Fast के बारे में

`image_url` पोर्ट्रेट को `audio_url` रिकॉर्डिंग के साथ मिलाता है, ताकि चित्रित विषय ऑडियो बोले। `resolution` आवश्यक है और 720p या 480p हो सकता है। यह Fabric 1.0 का तेज़ वैरिएंट है और टेक्स्ट के बजाय दिए गए ऑडियो से काम करता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
≤ 2,083 अक्षर
audio_urlआवश्यक audio
प्रकारurl · audio
≤ 2,083 अक्षर
resolutionआवश्यक
प्रकारenum
720p480p
रिज़ॉल्यूशन सेटिंग।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "veed/fabric-1.0/fast",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2000,
    "usd": "2.00",
    "charged": 2000,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "resolution": "720p"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}

और मॉडल: लिपसिंक और अवतार

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/veed/fabric-1.0/fast.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt